Compliance Check Outdated

The risk_report.outdated event is fired when a Company that has been enrolled in compliance checks has changed its legal name or other entity data, and as a result, the compliance status is now stale.

Payload

The standard-formatted Routable webhook payload.

detail
object

An optional detail object providing more information about the event that occurred.

string
required

The event that triggered the webhook.

string
enum
required

The type of resource a webhook references:

ValueResourceURL to Query the Resource
companyCompany/v2/companies/{object_id}
itemdeprecatedDo not use.
payablePayable/v2/payables/{object_id}
payment_methodPaymentMethod/v2/companies/{detail.company_id}/payment-methods/{object_id}
receivableReceivable/v2/receivables/{object_id}
risk_reportComplianceCheck/v2/companies/{detail.company_id}/compliance-checks
tax_formTaxForm/v2/companies/{detail.company_id}/tax-forms/{object_id}
testN/AOnly used for test webhooks sent during setup.
uuid
required

The ID of the resource associated with this event.

Headers
string

An HMAC-SHA256 hash of the value of Routable-Signature-Timestamp, a period, and the raw JSON webhook request body. See https://developers.routable.com/docs/webhooks for details and code samples describing how to decrypt and validate this value.

date-time

A timestamp in GMT. Webhook events where the timestamp is more than five minutes old, or in the future, must be rejected by your code with a 401 Unauthorized.

Responses
200

Return a 200 OK status with no body to indicate that the webhook was processed successfully.

401

Return a 401 Unauthorized status with no body if any of the validation steps are unsuccessful when processing the incoming webhook event.

LoadingLoading…